Subject: Re: [PATCH kernel v2] powerpc/of/pci: Rewrite pci_parse_of_flags

From: Michael Ellerman <[email-masked]>
Date: Mon, 2 Sep 2019 13:29:37 +1000 (AEST)

On Thu, 2019-08-29 at 08:44:17 UTC, Alexey Kardashevskiy wrote:
> The existing code uses bunch of hardcoded values from the PCI Bus Binding
> to IEEE Std 1275 spec; and it does so in quite non-obvious way.
> 
> This defines fields from the cell#0 of the "reg" property of a PCI device
> and uses them for parsing.
> 
> This should cause no behavioral change.
> 
> Signed-off-by: Alexey Kardashevskiy <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/bc605cd79edb68131d3be5b00b949aa312277d39

cheers